Available in Classic and VPC
View the created API key using the API key-related parameters in the dashboard.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/dashboards/api-keys |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regions |
List[String] | Optional | Region to view API keys for
|
offset |
Long | Optional | Starting point in the list of data to view
|
limit |
Long | Optional | Number of data to view at once
|
from |
String | Required | Query start date
|
to |
String | Required | Query end date
|
timeZone |
String | Required | Time zone (+09:00)
|
Request example
The following is a sample request.
curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/dashboards/api-keys?from=2024-05-09&to=2024-05-09&timeZone=%2B09%3A00' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apiKeyIds": {
"content": [
{
"apiKeyId": "apiKeyId",
"apiKeyName": "apiKeyName",
"deleted": false,
"enabled": true
}
],
"total": 0
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apiKeyIds": {
"content": [
{
"apiKeyId": "*****vg079",
"apiKeyName": "apiKey-***",
"deleted": false,
"enabled": true
}
],
"total": 1
}
}